Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 1827425 - exim 4.92 segfaults on SRV queries that return CNAME
Summary: exim 4.92 segfaults on SRV queries that return CNAME
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: exim
Version: epel7
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
Assignee: Jaroslav Škarvada
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-04-23 21:16 UTC by Marcel Haerry
Modified: 2020-05-15 06:04 UTC (History)
4 users (show)

Fixed In Version: exim-4.93-2.el8 exim-4.93-2.el7
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-05-15 05:14:30 UTC
Type: Bug


Attachments (Terms of Use)

Description Marcel Haerry 2020-04-23 21:16:29 UTC
When enabling CSA validation and the sending hostname returns a CNAME for (any) SRV queries. E.g. dig SRV _client._smtp.random-host.kuix.de exim segfaults.

Background discussion: https://lists.exim.org/lurker/message/20190314.120943.413421e0.el.html and previous emails.

Fix: https://github.com/Exim/exim/commit/14bc9cf085aff7bd5147881e5b7068769a29b026

This fix went into 4.93 - without it you can't enable CSA validation as it will fail for any domain that has wildcard CNAMES enabled.

Comment 1 Marcel Haerry 2020-04-23 22:24:53 UTC
Just submitted https://src.fedoraproject.org/rpms/exim/pull-request/6 as a quickfix, but can we get 4.93 for EL7?

Comment 2 Jaroslav Škarvada 2020-04-27 11:57:51 UTC
I don't have problem with 4.93 in EPEL-7, I will rebase it.

Comment 3 Fedora Update System 2020-04-27 22:05:54 UTC
FEDORA-EPEL-2020-9868c86f67 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2020-9868c86f67

Comment 4 Fedora Update System 2020-04-27 22:06:22 UTC
FEDORA-EPEL-2020-951d2464e6 has been submitted as an update to Fedora EPEL 8. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2020-951d2464e6

Comment 5 Fedora Update System 2020-04-28 04:47:35 UTC
FEDORA-EPEL-2020-9868c86f67 has been pushed to the Fedora EPEL 7 testing repository.

You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2020-9868c86f67

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 6 Fedora Update System 2020-04-28 06:20:50 UTC
FEDORA-EPEL-2020-951d2464e6 has been pushed to the Fedora EPEL 8 testing repository.

You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2020-951d2464e6

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 7 Marcel Haerry 2020-04-28 20:01:23 UTC
Thank you, testing on EPEL-7 looks great!

Comment 8 Fedora Update System 2020-04-29 17:52:25 UTC
FEDORA-EPEL-2020-a258dba917 has been submitted as an update to Fedora EPEL 8. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2020-a258dba917

Comment 9 Fedora Update System 2020-04-29 17:53:02 UTC
FEDORA-EPEL-2020-4410b3265a has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2020-4410b3265a

Comment 10 Fedora Update System 2020-04-30 06:08:07 UTC
FEDORA-EPEL-2020-a258dba917 has been pushed to the Fedora EPEL 8 testing repository.

You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2020-a258dba917

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 11 Fedora Update System 2020-04-30 06:09:21 UTC
FEDORA-EPEL-2020-4410b3265a has been pushed to the Fedora EPEL 7 testing repository.

You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2020-4410b3265a

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 12 Fedora Update System 2020-05-15 05:14:30 UTC
FEDORA-EPEL-2020-a258dba917 has been pushed to the Fedora EPEL 8 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 13 Fedora Update System 2020-05-15 06:04:05 UTC
FEDORA-EPEL-2020-4410b3265a has been pushed to the Fedora EPEL 7 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.